Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface JsonPClient

All Known Subinterfaces:
  `ClientWithKeystoreAndTruststore`, `ClientWithKeystoreFromClasspathAndTruststore`, `ClientWithNonMatchingStore`, `ClientWithTruststore`, `JsonPClientWithSslContext`, `JsonPClientWithTruststoreFromClasspath`

@RegisterRestClient public interface JsonPClient

## Method Summary

Modifier and Type
Method
Description
`jakarta.json.JsonArray`
`get()`
`jakarta.json.JsonObject`
`get(String id)`
`jakarta.ws.rs.core.Response`
`post(jakarta.json.JsonObject object)`
`jakarta.json.JsonObject`
`update(String id, jakarta.json.JsonObject body)`

## Method Details

### get

@Path("/") @GET jakarta.json.JsonArray get()

### get

@Path("/{id}") @GET jakarta.json.JsonObject get(@PathParam("id") String id)

### post

@POST @Path("/") jakarta.ws.rs.core.Response post(jakarta.json.JsonObject object)

### update

@PUT @Path("/{id}") jakarta.json.JsonObject update(@PathParam("id") String id, jakarta.json.JsonObject body)